%global gem_name budget

Name:       rubygem-%{gem_name}
Version:    1.0.0
Release:    1%{?dist}
Summary:    A class to create a budget
Group:      Development/Languages
License:    MIT

URL:        https://github.com/DrSayre/budget
Source0:    https://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
Requires:      ruby(rubygems)
BuildArch:     noarch

%description
A class to create a budget.

%package doc
Summary:   Documentation for %{name}
Group:     Documentation
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}

popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/test

%changelog
* Wed May 13 2015 William Moreno Reyes <williamjmorenor at gmail.com> 
- 1.0.0-1
- Initial package
